Bug 171896 - Non-executable files with execute permission should display by default
Non-executable files with execute permission should display by default
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 11:57 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 04:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-10-27 11:57:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Epiphany/1.6.5

Description of problem:
Nautilus should display a text file by default unless the first line contains a shebang.

Example:
I have a directory full of files, most of them are text files. Some have .txt extensions, some do not. Some are executable some are not.
As a gui user, when I double-click on one of these text files, it should open in my text editor.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:
Comment 1 Alexander Larsson 2005-10-28 04:50:54 EDT
This is a known issue upstream, filed as:
http://bugzilla.gnome.org/show_bug.cgi?id=313023

Closing this UPSTREAM, as all non-packaging development like this happens upstream.

Note You need to log in before you can comment on or make changes to this bug.